Bug 116251 - (SCSI GDTH)kernel smp not booting with intel se7501wv2 server board
(SCSI GDTH)kernel smp not booting with intel se7501wv2 server board
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
 
Reported: 2004-02-19 10:38 EST by Steeve Gagne
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-12 10:16:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steeve Gagne 2004-02-19 10:38:34 EST
Description of problem:

When I try to boot fedora core 2 test release 1 with the smp kernel I
get the following.

request_module: runaway loop modprobe bin_fmt-0000
request_module: runaway loop modprobe bin_fmt-0000
request_module: runaway loop modprobe bin_fmt-0000
request_module: runaway loop modprobe bin_fmt-0000
request_module: runaway loop modprobe bin_fmt-0000

The system never gets past this on the bootup.  If I boot a nonsmp
kernel it boots without issue.  It does this with
the most recent kernel and with the original bundled kernel as well.

This is on an intel SE7501WV2 smp board from intel running dual
xeon 2.4ghz processors with 512KB cache.  Intel SRCZCR RAID 
Controller, 6gb of ram and 2 18gb SCSI hard drives in a mirror raid. 
boot partition is about 8gb

/dev/sda1             7.9G  6.2G  1.3G  83% /

Version-Release number of selected component (if applicable):

Fedora Core release 1.90
Kernel 2.6.2-1.87 i686 i686 i386 GNU/Linux SMP

How reproducible:
Always

Steps to Reproduce:
1.Boot the machine and select an smp kernel
2.The machine will then boot to mentioned error
3.If a nonsmp kernel is selected on bootup it works fine.

Additional info:
The server can be put on an external ip address avalaible for 
debugging purpose.
Comment 1 Len Brown 2004-03-16 00:05:28 EST
does it boot properly if you install on a non raid device, like a stock IDE drive? 
Comment 2 Steeve Gagne 2004-03-16 21:10:32 EST
I will be able to test on a non raid SCSI device
but not on a IDE drive.
The board I have is the SCSI version
Comment 3 Steeve Gagne 2004-03-29 09:07:06 EST
Yes, installation and kernel 2.6 SMP is working with non raid device 
installation.
It is really related to the GDTH SCSI Controller driver
Comment 4 Marcus Schultheiss 2004-06-15 04:29:50 EDT
same problem here with a 

supermicro superserver 6013P-8 mainboard
ICP GDT8114RZ - raid controller (gdth)
2 Seagate ST373453LC (72GB) in mirror configuration

installing fedora core 2 - Kernel 2.6.5
installation is working fine

reboot and the following happens
- SMP kernel is booting and loops (like described above)
- UP Kernel is booting and system is usable

the system is a smp P4 system and so help would be appreciated

Marcus 
Comment 5 Marcus Schultheiss 2004-06-15 05:19:09 EDT
yum update from fedora core 2 - Kernel 2.6.5-1.358
to Kernel 2.6.6-1.435 fixed the problem
with ICP GDT81114RZ and SMP in my hardware scenario.

fedora core 2 does now startup with SMP kernel.


Note You need to log in before you can comment on or make changes to this bug.